# Integration with Microsoft Office Online

Collaboratively work with Office documents in the browser.

With Microsoft Office Online users can work with Office documents in the browser. The extension connects ownCloud with Microsoft Office Online Server via the WOPI protocol. Please note that a Microsoft Office Online Server is required to use the integration. Out-of-the box only the on-premise version of Microsoft Office Online Server is supported.

## Setup

Add the following to config.php:
```
'wopi.token.key' => 'replace-with-your-own-random-string',
'wopi.office-online.server' => 'https://your.office.online.server.tld',
```

## Developing

The integration is based on the [Web Application Open Platform Interface (WOPI)](https://wopi.readthedocs.io/en/latest/).
This app provides a WOPI endpoint for Microsoft Office Online to communicate with ownCloud.

## How to run the wopi-validator on a local setup for testing?

0. Make sure your local owncloud test system is reachable via the docker host ip (use ifconfig to find out)
1. Create an empty file named test.wopitest
2. `./occ wopi:get-token -o env admin test.wopitest http://localhost:8080/index.php > wopi.env`
3. `. wopi.env`
4. `docker run --add-host="localhost:123.456.789" -e WOPI_URL=$WOPI_URL -e WOPI_TOKEN=$WOPI_TOKEN -e WOPI_TESTGROUP=FileVersion deepdiver/wopi-validator-core-docker:use-different-branch-to-make-ci-finally-green`

